# $Revision: 1.3 $, $Date: 2004/12/26 00:39:17 $
# NOTE: it's totally different than libmimedir used in gnome-pim
#       (http://me.in-berlin.de/~jroger/gnome-pim/ up to 0.2.1 version)
Summary:	RFC 2425 implementation
Summary(pl):	Implementacja RFC 2425
Name:		libmimedir-vlm
Version:	0.3
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/synce/libmimedir-0.3.tar.gz
# Source0-md5:	bb967f6f8931d4efdc34d3729b7f819b
Patch0:		%{name}-shared.patch
URL:		http://libmimedir.sourceforge.net/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Implementation of RFC 2425 (MIME Directory Profile) written by Lev
Walkin.

%description -l pl
Implementacja RFC 2425 (MIME Directory Profile). Autorem tej wersji
jest Lev Walkin.

%package devel
Summary:	Header file for libmimedir library
Summary(pl):	Plik nagwkowy biblioteki libmimedir
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for libmimedir library.

%description devel -l pl
Plik nagwkowy biblioteki libmimedir.

%package static
Summary:	Static libmimedir library
Summary(pl):	Statyczna biblioteka libmimedir
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmimedir library.

%description static -l pl
Statyczna biblioteka libmimedir.

%prep
%setup -q -n libmimedir-%{version}
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files 
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libmimedir-vlm.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmimedir-vlm.so
%{_libdir}/libmimedir-vlm.la
%{_includedir}/libmimedir.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libmimedir-vlm.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmimedir-vlm.spec,v $
Revision 1.3  2004/12/26 00:39:17  qboosh
- replaced destdir patch by shared patch, build shared lib (PIC needed)

Revision 1.2  2004/12/25 20:04:16  qboosh
- rename lib to libmimedir-vlm.a to avoid conflict with libmimedir

Revision 1.1  2004/12/25 19:54:47  qboosh
- copied from libmimedir.spec, renamed to libmimedir-vlm

Revision 1.18  2004/12/02 20:56:00  qboosh
- proper Group for static-only lib

Revision 1.17  2004/12/02 20:24:17  qboosh
- include COPYING in docs

Revision 1.16  2004/12/02 20:23:30  qboosh
- removed lies from License and descriptions
- bison is just enough
- still in doubt if this package should have the same name as libmimedir from gnome-pim
  which used to be in this spec previously

Revision 1.15  2004/12/02 10:59:39  tiwek
- Added missing BR
- release 0.99

Revision 1.14  2004/11/30 10:06:04  tiwek
- source changed

Revision 1.13  2004/11/30 09:12:06  tiwek
- cleaned

Revision 1.12  2004/11/30 09:04:58  tiwek
- up to 0.3
